Era of High Sorcery

Discussion of all aspects of multiplayer development: unit balancing, map development, server development, and so forth.

Moderators: Forum Moderators, Developers

Post Reply
Ressuscitado
Posts: 3
Joined: April 14th, 2010, 10:34 am

Re: Era of High Sorcery

Post by Ressuscitado » September 3rd, 2010, 8:42 pm

I took this error when I was playing EoHS in a local game(only me against computer). It happens when I recruit:

<Lua error> [string "beggining_file("misc_events.cfg")..."]:90: attempt to index local 'recruiter' (a nil value) stack traceback:
[string "beggining_file("misc_events.cfg")..."]:90: in function 'unit_was_just_recruited_or_summoned'
[string "unit_was_just_recruited_or_summoned(wesnoth..."]:1: in main chunk

Does anyone took this error too? Can anyone help me? :roll:
Sorry if I did something wrong, I'm brazilian and never used the forum :P

User avatar
Rigor
Posts: 941
Joined: September 27th, 2007, 1:40 am

Re: Era of High Sorcery

Post by Rigor » September 3rd, 2010, 10:23 pm

oh no ! your version has overwritten the stable branch on the server and now elvish pillager has to REWRITE IT ALL AGAIN !!! you destroyed the internet - you horrible person. :lol2: no just kidding, those thngs can happen - and its good that u tell us because not everyone bothers to deliver this kind of messages. welcome to the forums

Ressuscitado
Posts: 3
Joined: April 14th, 2010, 10:34 am

Re: Era of High Sorcery

Post by Ressuscitado » September 4th, 2010, 10:54 am

Thanks, Rigor! ^^
Hope Elvish Pillager can help me. I'm not playing with EoHS since took that error. I had an older version of it and it was working properly. But I lost it when formated my computer. It's boring play with the other eras -.-'
Please help me, I'm crazy without my preferred era *-*

Paul Kauphart
Posts: 8
Joined: October 20th, 2006, 10:21 am
Location: Toulouse

Re: Era of High Sorcery

Post by Paul Kauphart » April 13th, 2011, 2:42 pm

Hi,

I've tried the new alternate era, and if I may throw in a suggestion, rather than completely removing summon from the RPG option, have the summoned units last a limited time, like two or three turns.

User avatar
Araja
Posts: 718
Joined: May 28th, 2009, 9:56 am
Location: Bath, England

Re: Era of High Sorcery

Post by Araja » May 7th, 2011, 10:47 pm

adept-magic-3.png
adept-magic-3.png (1.03 KiB) Viewed 3610 times
Only an L1 necromancy act as it's just off the first page.

Apologies if I or someone else has asked the question before, but why does Devour Soul give you the creature's inherent melee attacks? I'm asking this from an RPG standpoint, as this explains where my examples are coming from.

Admittedly, grabbing poison claws or a draining bite off someone is nice, but mostly the new melee is either vastly inferior or shockingly OP comapred to what they already have. A 5-3 blade or 4-3 impact doesn't compare well to the 7-4 to 9-4 ish touch a Necromancer has by the time they use the spell. On the other end of the spectrum, a Lich who kills a Yeti or Skeletal Dragon in this fashion becomes a complete nightmare to take down. 25-2 blade? On a wizard?....Ouch :shock:

Unless of course, the era is just comically overpowered for RPGs in general. From my experience as an Evoker in BoL this is probably the case, but I am curious as to why the spell gives you extra melee. The HP bonus and ability theft is a nice package, the new attacks feel like overkill.

While I'm here; Awesome era :P

User avatar
Elvish_Pillager
Posts: 8129
Joined: May 28th, 2004, 10:21 am
Location: Everywhere you think, nowhere you can possibly imagine.
Contact:

Re: Era of High Sorcery

Post by Elvish_Pillager » July 4th, 2011, 2:37 am

Ohai!

The main reason Devour Soul gives you your victim's innate melee attacks is that it's totally badass. It's also there from the symbolic standpoint of being one of the ways that Necromancers distort their true nature for extra powers (what with attacking with skeledragon claws not seeming very human, and all that).

EoHS is primarily (though not exclusively) designed for PvP, where if you eat a skeletal dragon you summoned, you've just cost yourself a lot of gold, which naturally balances out the high power of the technique. (Either that, or you ate an opponent's mighty creature, in which case you deserve a giant reward for pulling that off.) It's unbalanced in RPGs, but every part of EoHS is unbalanced in RPGs. :P And the seemingly-useless low powered attacks do occasionally have their uses.
It's all fun and games until someone loses a lawsuit. Oh, and by the way, sending me private messages won't work. :/ If you must contact me, there's an e-mail address listed on the website in my profile.

User avatar
Ryuuzaki52
Posts: 34
Joined: November 25th, 2010, 8:24 pm

Re: Era of High Sorcery

Post by Ryuuzaki52 » July 25th, 2011, 7:05 pm

I have a question. Is this still getting updated? And what's the chance you can add in default? I haven't played in forever, so I dunno how to do that on my own...

User avatar
Elvish_Pillager
Posts: 8129
Joined: May 28th, 2004, 10:21 am
Location: Everywhere you think, nowhere you can possibly imagine.
Contact:

Re: Era of High Sorcery

Post by Elvish_Pillager » August 14th, 2011, 1:56 am

EoHS isn't currently being updated. I may work on it more in the future, but definitely not within the next few months.

When you say "add in default", do you mean allow you to pick the factions from Default instead of the EoHS faction? This would be quite easy to do, but pointless, since the EoHS faction would inevitably slaughter any faction from Default.
It's all fun and games until someone loses a lawsuit. Oh, and by the way, sending me private messages won't work. :/ If you must contact me, there's an e-mail address listed on the website in my profile.

Anonymissimus
Inactive Developer
Posts: 2458
Joined: August 15th, 2008, 8:46 pm
Location: Germany

Re: Era of High Sorcery

Post by Anonymissimus » December 13th, 2011, 9:46 pm

Reporting a supposed bug.
The imagestring you use in your pbl to upload the era to the addons server is faulty. It emits these errors when connecting to the addons server with trunk r52267 (or 1.9.13):
20111213 22:29:48 error config: Failed to apply a modification to an image:
Image: units/monsters/fire-dragon.png.
Modifications: ~BLIT(units/human-magi/great-mage.png~TC(2,magenta),72,30)~BLIT(units/monsters/fire-dragon.png~CROP(125,45,35,30),125,45)~BLIT(units/monsters/fire-dragon.png~CROP(108,70,52,130),108,70)~BLIT(halo/elven/ice-halo5.png,91,8)~CROP(72,34,72,72)~BLIT(misc/blank-hex.png~BG(0,0,0)~CROP(0,0,72,12),0,60)~BLIT(misc/font8x8.png~CROP(40,24,8,8)~CS(-255,0,-255),12,62)~BLIT(misc/font8x8.png~CROP(32,24,8,8)~CS(-255,0,-255),20,62)~BLIT(misc/font8x8.png~CROP(56,24,8,8)~CS(-255,0,-255),28,62)~BLIT(misc/font8x8.png~CROP(32,24,8,8)~CS(-255,0,-255),36,62)~BLIT(misc/font8x8.png~CROP(16,40,8,8)~CS(-255,0,-255),44,62)~BLIT(misc/font8x8.png~CROP(16,40,8,8)~CS(-255,0,-255),52,62).
Error: ~BLIT(): x-coordinate '125' larger than destination image's width '72' no blitting performed.
20111213 22:29:48 error config: Failed to apply a modification to an image:
Image: units/monsters/fire-dragon.png.
Modifications: ~BLIT(units/human-magi/great-mage.png~TC(2,magenta),72,30)~BLIT(units/monsters/fire-dragon.png~CROP(125,45,35,30),125,45)~BLIT(units/monsters/fire-dragon.png~CROP(108,70,52,130),108,70)~BLIT(halo/elven/ice-halo5.png,91,8)~CROP(72,34,72,72)~BLIT(misc/blank-hex.png~BG(0,0,0)~CROP(0,0,72,12),0,60)~BLIT(misc/font8x8.png~CROP(40,24,8,8)~CS(-255,0,-255),12,62)~BLIT(misc/font8x8.png~CROP(32,24,8,8)~CS(-255,0,-255),20,62)~BLIT(misc/font8x8.png~CROP(56,24,8,8)~CS(-255,0,-255),28,62)~BLIT(misc/font8x8.png~CROP(32,24,8,8)~CS(-255,0,-255),36,62)~BLIT(misc/font8x8.png~CROP(16,40,8,8)~CS(-255,0,-255),44,62)~BLIT(misc/font8x8.png~CROP(16,40,8,8)~CS(-255,0,-255),52,62).
Error: ~BLIT(): x-coordinate '91' larger than destination image's width '72' no blitting performed.
Note that I don't know that it is Era of High Sorcery, I am just guessing that it is. You can probably work out what the imagestring must look like by testing it with an [item] to trigger the error messages.

This problem triggered http://gna.org/bugs/index.php?18833 and http://gna.org/bugs/index.php?18832 but is now fixed by emitting these messages instead.
projects (BfW 1.12):
A Simple Campaign: campaign draft for wml startersPlan Your Advancements: mp mod
The Earth's Gut: sp campaignSettlers of Wesnoth: mp scenarioWesnoth Lua Pack: lua tags and utils
updated to 1.8 and handed over: A Gryphon's Tale: sp campaign

Gregor
Posts: 9
Joined: June 3rd, 2009, 6:06 pm

Re: Era of High Sorcery

Post by Gregor » March 19th, 2012, 2:30 am

Hi,

First my thanks for this great era, each game is a surprise. Nonetheless, playing today we noticed a few bugs with the latest version of Wesnoth :

- Wraith form doesn't work at all. When we use it, we get a several lines error message

- We don't get picks when we lvl up devouring a soul. Lvling up killing a unit with normal attacks gives the picks, with devour soul we get nothing

- When a unit uses Dark Pact, we can't see its image.

I know you are not currently working on EoHS but if you do it again, I hope it will help. I can post the replay if you want but I have no idea where its folder is in Linux.

marvalis
Posts: 40
Joined: August 16th, 2010, 3:56 am

Re: Era of High Sorcery

Post by marvalis » July 1st, 2012, 5:38 pm

what was the name of the 3-player survival map,
and any chance of this map and era being updated to the latest version?

/edit ok the name of the map was arcane defense: http://forums.wesnoth.org/viewtopic.php ... 8&p=470067

teamleader
Posts: 15
Joined: November 18th, 2010, 2:08 pm

Re: Era of High Sorcery

Post by teamleader » July 4th, 2012, 3:14 pm

Please update it man! It is the best era to play survivals or world conquest mp campaign. Anyway, thank you for making it!

User avatar
Elvish_Pillager
Posts: 8129
Joined: May 28th, 2004, 10:21 am
Location: Everywhere you think, nowhere you can possibly imagine.
Contact:

Re: Era of High Sorcery

Post by Elvish_Pillager » June 5th, 2013, 9:37 pm

I just fixed a bunch of bugs that came from not maintaining it while Wesnoth changed.

The version on the 1.10 server should be working now. If there are bugs left, I'd like to hear about them.
It's all fun and games until someone loses a lawsuit. Oh, and by the way, sending me private messages won't work. :/ If you must contact me, there's an e-mail address listed on the website in my profile.

User avatar
Elvish_Pillager
Posts: 8129
Joined: May 28th, 2004, 10:21 am
Location: Everywhere you think, nowhere you can possibly imagine.
Contact:

Re: Era of High Sorcery

Post by Elvish_Pillager » June 6th, 2013, 11:17 pm

Released again as EoHS 0.7.3. Highlights:

Fixed lots of bugs
New spell: Curse of Anxiety (L2 necro debuff enchantment)
New spell: Dehydration (L6 nature debuff enchantment)
New spell: Monsters' Nest (L13 nature uberspell)
New and/or improved animations for:
Devour Soul
Fireball
Downpour
Lightning Bolt
To work around one bug, I made the Lich advancement non-optional. Anyone with 7 necro skill or more always advances to a Lich (and this now includes higher-level wizards too - it's never too late to become a Lich).

Barring the fact that the new spells are untested in real play, I consider this a release candidate for EoHS 1.0. Some of the big things that made me feel like it was incomplete are finally resolved - Nature finally has a L13 spell, and Nature and Necro finally have enough enchantments to make taking Enchanter feel good. The spell lists look complete now - they all have entries for all levels 1-9, then the L11 summon and the L13 uber-spell.

It would be nice to get someone to be the new maintainer of EoHS - I'm not likely to be any more active in the Wesnoth community than I have been for the last few years, so if nobody else volunteers, it'll eventually become out-of-date again. Any takers?
It's all fun and games until someone loses a lawsuit. Oh, and by the way, sending me private messages won't work. :/ If you must contact me, there's an e-mail address listed on the website in my profile.

User avatar
Elvish_Pillager
Posts: 8129
Joined: May 28th, 2004, 10:21 am
Location: Everywhere you think, nowhere you can possibly imagine.
Contact:

Re: Era of High Sorcery

Post by Elvish_Pillager » June 9th, 2013, 4:13 am

Released EoHS 1.1.
Fixed a bunch of out-of-date or confusing text (in the rules and spell descriptions)
Made summons only share kill XP, not all XP, and only share 1/4 rather than 1/2
Improved a lot of the unit-graphics code, especially for mounts.
Added advancements for summons:
Allowed summoned wolves to advance to Great Wolf and Direwolf (with increased attacks so that they're fair L2/L3 units). And you can ride Great Wolves and Direwolves.
Allowed Chocobones to become a modified Death Knight.
Added simple L3 advancements for Water Serpents, Sea Serpents, and Gryphons.
It's all fun and games until someone loses a lawsuit. Oh, and by the way, sending me private messages won't work. :/ If you must contact me, there's an e-mail address listed on the website in my profile.

Post Reply